View Issue Details

IDProjectCategoryView StatusLast Update
0024512mantisbtadministrationpublic2018-06-13 06:20
ReporterRostAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionno change required 
Product Version1.3.15 
Target VersionFixed in Version 
Summary0024512: Can't reopen resolved bug from another reporter
Description

User group with right 'Reopen an issue' can't process reopening.

Steps To Reproduce

Preconditions:

  • Report issue 0001 from account Reporter1 with rights Reporter.
  • move it to 'resolved' e.g. by Dev1
  • setup user Reporter2 as Updater for the project
  • setup 'Reopen an issue' to ON for updaters from 'manage_config_work_threshold_page.php'
    • 'Update an issue' is OFF,
    • 'Status where an issue becomes read only' is 'closed'
    • 'Update issue status' is OFF
      1. Open issue 0001 by Reporter2, user sees button 'Reopen'
      2. Press Reopen
      3. Add any note and press 'Request Feedback'
        Results:
    • version 2.14 - everything is ok
    • version 1.3.15 - access denied
      Expected results:
    • the same behaviour
    • users with right 'Request Feedback' should have ability to reopen any issues under related project

Proof:

  • Administrator documentation:
    Reopen an issue - The access levels required for a user to be able to re-open a resolved or closed issue.
Additional Information

Additional:

  1. if you setup extra right 'Update an issue', the issue may be moved to 'xresolved'.
  2. Required changes would be find in commit bf1f02f71a85bd4e05cd2a627b3c25e79f96d5a0 since line 155 to line 183
TagsNo tags attached.

Relationships

related to 0021393 closedvboctor When disable "Update an issue", then "Assign to" become access deined. 
related to 0022093 closedvboctor Reporter can´t change status of a bug 

Activities

Rost

Rost

2018-05-31 09:54

reporter   ~0059989

I add it here, rather reporting a separate issue because the fix is the same:
<b>Can't verify and close resolved issue</b>
Verifier from QA team can't move 'resolved' issue to 'closed'. Version 1.3.15 doesn't allow moving to 'closed', when 2.14 allows. Only right 'Update an issue' allows passing the procedure, however it isn't logical.
Proof:
Administrator documentation:
Update an issue - The access levels that are allowed to update the header information of an issue.

  • the 'Update an issue' owner has got an ability to update 'Fixed in Version' together with moving to 'closed'.
atrol

atrol

2018-05-31 14:52

developer   ~0059994

Last edited: 2018-05-31 14:53

View 2 revisions

Commit bf1f02f71a85bd4e05cd2a627b3c25e79f96d5a0 fixed the related issues 0021393 and 0022093.
The issues were reported for versions 1.3.0 / 1.3.4 but where fixed just in in 2.9.1

The reason was, that 1.3 gets just fixes for security related issues since some time.

What's the reason that you don't upgrade to 2.14.0?

Rost

Rost

2018-06-01 03:31

reporter   ~0059996

The main reason is color scheme. I appreciate the huge work for code refactoring, but the new UI is poor. I don't like grey-on-grey-on-grey theme. I understand you've taken ACE colors and adopt that here with bootstrap colors, but even bootstrappers in 4.x moved out to much contrast scheme.
In Addition, I've generally found only one change between 1.3.15 and 2.14 - reporter (and everybody else) may add more than 1 file to issue. Nothing in additional admin configuration, sequences so on.
I asked each member of my team which version they want to see and work with our customers in and they said old color scheme is clear even far from your monitor: red mantis - many things to be done, green mantis - many things should be verified. Clear without reading of content. Today in 2.14 you request to read everything or detect by small rounded rectangle, sorry but no.
Initially, I've tried to adopt old color scheme on 2.14. I wasn't successful because of major changes in UI and applied method. I've left the job incompleted for time with less current workload. On the next step I started update your ACE theme to contrast black colors on less grey, but I stopped on mixed bootstrap and ACE styles.
I perfectly understand, it's hard and annoying to support two different versions, but MantisBT community never mentioned the version 1.3.x isn't supported more or will be stopped in next year or so. I use mantis since 2004 and I've been moving forcely my customers to that system, even with scrum. However today I'm a bit upset about possible stable future.

atrol

atrol

2018-06-01 05:17

developer   ~0059999

It all depends on priority and a core developer or community member deciding to spend their time on a specific issue.

It's quite easy to contribute.
You can send us a Pull Request on our Github repository https://github.com/mantisbt/mantisbt

atrol

atrol

2018-06-13 06:20

developer   ~0060085

Rost,

You did not provide feedback; I am therefore resolving this issue as "no change required".

Feel free to reopen the issue at a later time and provide a PR.

Issue History

Date Modified Username Field Change
2018-05-31 09:52 Rost New Issue
2018-05-31 09:54 Rost Note Added: 0059989
2018-05-31 14:45 atrol Relationship added related to 0021393
2018-05-31 14:46 atrol Relationship added related to 0022093
2018-05-31 14:52 atrol Status new => feedback
2018-05-31 14:52 atrol Note Added: 0059994
2018-05-31 14:53 atrol Note Edited: 0059994 View Revisions
2018-06-01 03:31 Rost Note Added: 0059996
2018-06-01 03:31 Rost Status feedback => new
2018-06-01 05:17 atrol Status new => feedback
2018-06-01 05:17 atrol Note Added: 0059999
2018-06-13 06:20 atrol Assigned To => atrol
2018-06-13 06:20 atrol Status feedback => resolved
2018-06-13 06:20 atrol Resolution open => no change required
2018-06-13 06:20 atrol Note Added: 0060085